Bug 172573 - Segmentation fault when compiling with gcc32
Summary: Segmentation fault when compiling with gcc32
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc32   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-07 13:58 UTC by Colin Adams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 14:55:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gzipped pre-processed source (710.46 KB, text/plain)
2005-11-07 15:07 UTC, Colin Adams
no flags Details

Description Colin Adams 2005-11-07 13:58:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Linker (I think) crashes.
Using ISE's Eiffel compiler, which generates C code and calls gcc to compile, I got the following as the tail of the output

ld  -r -o Cobj4.o big_file_C4_x.o
touch finished
make[1]: Leaving directory `/home/colin/gobo/test/string/EIFGEN/F_code/C4'
/home/colin/gobo/test/string/EIFGEN/F_code/C5/pa405.x: In function `Fb94u22_body':
/home/colin/gobo/test/string/EIFGEN/F_code/C5/pa405.x:59: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
Preprocessed source stored into /tmp/ccqfqhyo.out file, please attach this to your bugreport.

So I am reporting the bug as requested.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Colin Adams 2005-11-07 15:05:21 UTC
On second thoughts, it must bee gcc compiling, rather than the linker.
Anyway, I'm making a second attempt to attach the pre-processed source - at 32MB
it was too large, but it gzips down to less than 1MB, so here goes a second time ...

Comment 2 Colin Adams 2005-11-07 15:07:19 UTC
Created attachment 120782 [details]
Gzipped pre-processed source

Preprocessed source - attached as instructed by error messages.

Comment 3 Colin Adams 2005-11-07 16:30:53 UTC
I've changed the component, as I just realized gcc32 is being used for the compiles

Comment 4 Colin Adams 2005-11-07 19:23:28 UTC
Problem does NOT occur if I use gcc 4.0.1 20050727 (Red Hat 4.0.1-5), instead,
but there are other problems with that compiler that makes using 3.2
attractive.


Comment 5 Colin Adams 2005-11-07 19:24:13 UTC
Can be reproduced every time.

Comment 6 Jakub Jelinek 2005-11-08 14:55:04 UTC
compat-gcc-32 is meant for compatibility only.


Note You need to log in before you can comment on or make changes to this bug.